Package org.springframework.format.support

# Class DefaultFormattingConversionService

java.lang.Object
org.springframework.core.convert.support.GenericConversionService
org.springframework.format.support.FormattingConversionService
org.springframework.format.support.DefaultFormattingConversionService

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `EmbeddedValueResolverAware`, `org.springframework.core.convert.ConversionService`, `org.springframework.core.convert.converter.ConverterRegistry`, `org.springframework.core.convert.support.ConfigurableConversionService`, `FormatterRegistry`

public class DefaultFormattingConversionService extends FormattingConversionService
A specialization of `FormattingConversionService` configured by default with converters and formatters appropriate for most applications.

Designed for direct instantiation but also exposes the static `addDefaultFormatters(org.springframework.format.FormatterRegistry)` utility method for ad hoc use against any `FormatterRegistry` instance, just as `DefaultConversionService` exposes its own `addDefaultConverters` method.

Automatically registers formatters for JSR-354 Money & Currency and JSR-310 Date-Time depending on the presence of the corresponding API on the classpath.

Since:
  3.1
Author:
  Chris Beams, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`DefaultFormattingConversionService()`
Create a new `DefaultFormattingConversionService` with the set of default converters and default formatters.
`DefaultFormattingConversionService(boolean registerDefaultFormatters)`
Create a new `DefaultFormattingConversionService` with the set of default converters and, based on the value of `registerDefaultFormatters`, the set of default formatters.
`DefaultFormattingConversionService(org.springframework.util.StringValueResolver embeddedValueResolver, boolean registerDefaultFormatters)`
Create a new `DefaultFormattingConversionService` with the set of default converters and, based on the value of `registerDefaultFormatters`, the set of default formatters.

## Method Summary

Modifier and Type
Method
Description
`static void`
`addDefaultFormatters(FormatterRegistry formatterRegistry)`
Add formatters appropriate for most environments: including number formatters, JSR-354 Money & Currency formatters, and JSR-310 Date-Time formatters, depending on the presence of the corresponding API on the classpath.

### Methods inherited from class org.springframework.format.support.FormattingConversionService

`addFormatter, addFormatterForFieldAnnotation, addFormatterForFieldType, addFormatterForFieldType, addParser, addPrinter, setEmbeddedValueResolver`

### Methods inherited from class org.springframework.core.convert.support.GenericConversionService

`addConverter, addConverter, addConverter, addConverterFactory, canBypassConvert, canConvert, canConvert, convert, convert, convertNullSource, getConverter, getDefaultConverter, removeConvertible, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.ConversionService

`convert`

### Methods inherited from interface org.springframework.core.convert.converter.ConverterRegistry

`addConverter, addConverter, addConverter, addConverterFactory, removeConvertible`

## Constructor Details

### DefaultFormattingConversionService

public DefaultFormattingConversionService()
Create a new `DefaultFormattingConversionService` with the set of default converters and default formatters.

### DefaultFormattingConversionService

public DefaultFormattingConversionService(boolean registerDefaultFormatters)
Create a new `DefaultFormattingConversionService` with the set of default converters and, based on the value of `registerDefaultFormatters`, the set of default formatters.

Parameters:
  `registerDefaultFormatters` - whether to register default formatters

### DefaultFormattingConversionService

public DefaultFormattingConversionService(@Nullable org.springframework.util.StringValueResolver embeddedValueResolver, boolean registerDefaultFormatters)
Create a new `DefaultFormattingConversionService` with the set of default converters and, based on the value of `registerDefaultFormatters`, the set of default formatters.

Parameters:
  `embeddedValueResolver` - delegated to `FormattingConversionService.setEmbeddedValueResolver(StringValueResolver)` prior to calling `addDefaultFormatters(org.springframework.format.FormatterRegistry)`.
  `registerDefaultFormatters` - whether to register default formatters

## Method Details

### addDefaultFormatters

public static void addDefaultFormatters(FormatterRegistry formatterRegistry)
Add formatters appropriate for most environments: including number formatters, JSR-354 Money & Currency formatters, and JSR-310 Date-Time formatters, depending on the presence of the corresponding API on the classpath.

Parameters:
  `formatterRegistry` - the service to register default formatters with